Subject: W:glycine template isosters

From: "Jan, , Pedersen" <me)at(torleif.org>
Date: Fri, 29 Apr 2005 14:31:58 -0400

Greetings CCLers,

A question to all of you.

I am trying to list possible isosters of the aminoacid motif H2N-C(R)-COOH or of glycine if you wish that formulation. I am not interested in this from a polymer point of view, I am just trying to list species that would have similar properties (in a QM sense) as glycine or as the aminoacid backbone.

I am looking at a receptor that binds a single aminoacid, and the main interactions are with the "backbone" H2N- and -COOH groups. So I am thinking about which other small functional groups may serve this purpose...

Does any of you have any pointers to reviews on this subject or a list of possible isosters please join in the discussion.

Thanks -- Jan